Pipelines
Create a pipeline stage
Adds a new stage to a pipeline.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
funnels
/
{id}
/
stages
Create a pipeline stage
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/stages \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "Qualification",
"color": "#2196F3",
"position": 2,
"chatwoot_status": "open"
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/stages"
payload = {
"name": "Qualification",
"color": "#2196F3",
"position": 2,
"chatwoot_status": "open"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Qualification', color: '#2196F3', position: 2, chatwoot_status: 'open'})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 7,
"funnel_id": 3,
"name": "Qualification",
"color": "#2196F3",
"position": 2,
"chatwoot_status": "open",
"cards_count": 8,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
API access token for authentication. Obtain from your Voxys Connect profile settings.
Path Parameters
The numeric ID of the account.
The ID of the pipeline.
Body
application/json
Response
Stage created.
Example:
7
Example:
3
Example:
"Qualification"
Example:
"#2196F3"
Example:
2
Available options:
open, resolved, pending, null Example:
"open"
Example:
8
Previous
Delete a pipeline stageDeletes a pipeline stage. Cards in the stage must be moved or deleted beforehand.
Next
⌘I
Create a pipeline stage

